Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Class Context

    java.lang.Object
      rendsite.engine.Context

All Implemented Interfaces:
  Resetable

Direct Known Subclasses:
  FileContext, PropertiesContext, RenderingContext

    public abstract class Context

extends java.lang.Object
implements Resetable

Base context for all specific contexts.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`protected RendsiteConfiguration` | `configuration` System configuration.
`things.thinger.io.Logger` | `logger` A logger.
`things.thinger.SystemInterface` | `si` The system interface for THINGS.

Constructor Summary
`Context(RendsiteConfiguration configuration)` Create a context.

Method Summary
`abstract void` | `reset()` Reset the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public things.thinger.io.Logger logger

  A logger.

### si

    public things.thinger.SystemInterface si

  The system interface for THINGS.

### configuration

    protected RendsiteConfiguration configuration

  System configuration.

Constructor Detail

### Context

    public Context(RendsiteConfiguration configuration)
            throws java.lang.Throwable

  Create a context.

  Parameters:
    `configuration` - the configuration for the system.
  Throws:
    `java.lang.Throwable` - normally this will only happen if you pass a null or bad SystemInterface.

Method Detail

### reset

    public abstract void reset()
                        throws java.lang.Throwable

  Reset the object. It should lose all state except what was set during construction.

  Specified by:
    `reset` in interface `Resetable`
  Throws:
    `java.lang.Throwable` - if it could not completely reset state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.